Loading...
Searching...
No Matches
seqan3::search_result_printer< search_result< specs_t... > > Struct Template Reference
Search

The printer used for formatted output of the search result. More...

`#include <seqan3/search/search_result.hpp>`

Inheritance diagram for seqan3::search_result_printer< search_result< specs_t... > >:
[legend]

## Public Member Functions

template<typename stream_t, typename arg_t>
constexpr void | operator() (stream_t &stream, arg_t &&arg) const
| Prints the search result.

## Detailed Description

template<typename... specs_t>
struct seqan3::search_result_printer< search_result< specs_t... > >

The printer used for formatted output of the search result.

The type of the printer must be a seqan3::search_result type.

Template Parameters

  specs_t | The list of types seqan3::search_result is specialised with.

## Member Function Documentation

## operator()()

template<typename... specs_t>
template<typename stream_t, typename arg_t>

void seqan3::search_result_printer< search_result< specs_t... > >::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr

Prints the search result.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  [in,out] | stream | The output stream.
  [in] | arg | The search result to print.

The documentation for this struct was generated from the following file:

- search_result.hpp

Hide me